Summary:        A mail-retrieval and forwarding utility
Name:           sony-target-dev-fetchmail
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-fetchmail
Version:        6.4.1
Release:        08010202
License:        GPLv2 + Public Domain
URL:            http://fetchmail.berlios.de/
Source0:        http://download.berlios.de/fetchmail/fetchmail-%{version}.tar.bz2
Distribution:   %{sony_distribution}
Vendor:         %{sony_vendor}
Packager:       %{sony_packager}
Group:          %{sony_group}
Buildroot:      %{_tmppath}/%{name}-root
%define         targetroot %{sony_target_dir}
Prefix:         %{sony_target_dir}

%description
fetchmail is a mail-retrieval and forwarding utility; it fetches mail from remote mailservers and forwards it to your local (client) machine delivery system. You can then handle the retrieved mail using normal mail user agents such as mutt(1), elm(1) or Mail(1). The fetchmail utility can be run in a daemon mode to repeatedly poll one or more systems at a specified interval.
The  fetchmail program can gather mail from servers supporting any of the common mail-retrieval protocols: POP2 (legacy, to be removed from future release), POP3, IMAP2bis, IMAP4, and IMAP4rev1. It can also use the ESMTP ETRN extension and ODMR. (The RFCs describing all these protocols are listed at the end of this manual page.) 

%package -n %{pkgname}
Summary:     Development files for %{name}
Group:       %{sony_group}
Requires:    %{name} = %{version}-%{release}
AutoReqProv: no

%description -n %{pkgname}
This package contains development files for %{name}.

%prep
%setup -n fetchmail-%{version} -q

%build
%sony_target_dev_setup
%sony_target_dev_configure \
        --disable-nls \
        --enable-fallback=no \
        --with-ssl \
        --disable-IMAP \
        --disable-ETRN \
        --disable-ODMR

make

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/python2.6
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/usr/share/man
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/fetchmailconf

%demangle_libtool

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-, root, root, -)
%{sony_target_dir}%{sony_target_dev_bin_dir}/fetchmail

%changelog
* Wed Mar 02 2016 Sony Corporation
- update openssl 1.0.2f.

* Thu Mar 22 2012 Sony Corporation
- Initial build.
